textures/winterassault_3/skybox
{
	qer_editorimage env/winterassault_3/crenshawsky_lf
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
        nopicmip
        nomipmaps
        q3map_sunExt .5 .5 .55 120 90 60 3 16
	q3map_surfacelight 75
        q3map_lightsubdivide 512
	skyparms env/winterassault_3/crenshawsky - -
}

textures/winterassault_3/snow
{
	q3map_lightmapsampleoffset 16
	q3map_lightRGB  1 1 1
	q3map_nonplanar
	q3map_shadeangle 140
	q3map_novertexshadows
	q3map_forcesunlight
        surfaceparm nomarks
        surfaceparm nodamage
        qer_editorimage textures/winterassault_3/vv_white_img.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault_3/vv_white_img.jpg
		alphaFunc GT0
		blendFunc filter
	}
}

textures/winterassault_3/ice
{
	qer_editorimage textures/winterassault_3/vv_blue_img.jpg
	qer_trans 0.5
	surfaceparm trans
        surfaceparm slick
        surfaceparm nodamage
	{
		map textures/winterassault_3/vv_blue_img.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
                 map $lightmap
                 blendFunc gl_dst_color gl_zero
                 rgbgen identity
        }
}

textures/winterassault_3/window
{
        qer_editorimage textures/winterassault_3/vv_blue_img.jpg
	{
		map textures/winterassault_3/vv_blue_img.jpg
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .6 .6
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_3/tree1
{
        surfaceparm nonsolid
        surfaceparm detail
        qer_editorimage textures/winterassault_3/vv_green1_img.jpg
	{
		map textures/winterassault_3/vv_green1_img.jpg
	}          		
}

textures/winterassault_3/tree2
{
        surfaceparm nonsolid
        surfaceparm detail
        qer_editorimage textures/winterassault_3/vv_green2_img.jpg
	{
		map textures/winterassault_3/vv_green2_img.jpg
	}          		
}

textures/winterassault_3/metal
{
        qer_editorimage textures/winterassault_3/vv_silver_img.jpg
	{
		map textures/winterassault_3/vv_silver_img.jpg
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .4 .8
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/winterassault_3/water
{
	qer_editorimage textures/winterassault_3/vv_water.jpg
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/winterassault_3/vv_water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
}

textures/winterassault_3/watercaulk
{
                qer_trans 0.40
                surfaceparm nodraw
                surfaceparm nonsolid
                surfaceparm trans
                surfaceparm water
}

textures/winterassault_3/black_nocel
{
	qer_editorimage textures/winterassault_3/vv_black_img.jpg
	surfaceparm trans
       	surfaceparm nonsolid
	{ 
		map textures/winterassault_3/vv_black_img.jpg
	}
}

textures/winterassault_3/wood_nocel_1
{
	qer_editorimage textures/winterassault_3/vv_brown1_img.jpg
	surfaceparm trans
	{
		map textures/winterassault_3/vv_brown1_img.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/winterassault_3/wood_nocel_1_nonsolid
{
	qer_editorimage textures/winterassault_3/vv_brown1_img.jpg
	surfaceparm trans
       	surfaceparm nonsolid
	{
		map textures/winterassault_3/vv_brown1_img.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/winterassault_3/wood_nocel_2
{
	qer_editorimage textures/winterassault_3/vv_brown2_img.jpg
	surfaceparm trans
	{
		map textures/winterassault_3/vv_brown2_img.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/winterassault_3/wood_nocel_3
{
	qer_editorimage textures/winterassault_3/vv_brown3_img.jpg
	surfaceparm trans
	{
		map textures/winterassault_3/vv_brown3_img.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/winterassault_3/carrot
{
	qer_editorimage textures/winterassault_3/vv_orange_img.jpg
	surfaceparm trans
       	surfaceparm nonsolid
	{
		map textures/winterassault_3/vv_orange_img.jpg
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
